com.streambase.sb.operator

## Class Operator.ArtifactProperties

- java.lang.Object
- - com.streambase.sb.operator.Operator.ArtifactProperties

- Enclosing class:
    Operator

      public static final class Operator.ArtifactProperties
      extends Object

  For operators supporting Artifacts, this class is used to communicate properties about them during development in Studio, and is reported to the operator immediately prior to `Operator.typecheck()` along with all other setters.
  Since:
    10.2 initial release

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Get artifact path
    `String` | `getProjectName()` Get project name
    `String` | `getVersion()` Get version
    `boolean` | `isLoadAtStartup()` Load artifact at start-up?
    `Operator.ArtifactProperties` | `setLoadAtStartup(boolean loadAtStartup)` Set load at startup
    `Operator.ArtifactProperties` | `setPath(String path)` Set artifact path
    `Operator.ArtifactProperties` | `setProjectName(String projectName)` Set project name
    `Operator.ArtifactProperties` | `setVersion(String version)` Set version

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactProperties

          public ArtifactProperties()

  - ### Method Detail

    - #### setProjectName

          public final Operator.ArtifactProperties setProjectName(String projectName)

      Set project name
      Parameters:
        `projectName` - Project name
      Returns:
        Updated properties

    - #### setPath

          public final Operator.ArtifactProperties setPath(String path)

      Set artifact path
      Parameters:
        `path` - Artifact path
      Returns:
        Update properties

    - #### setVersion

          public final Operator.ArtifactProperties setVersion(String version)

      Set version
      Parameters:
        `version` - Version
      Returns:
        Update properties

    - #### setLoadAtStartup

          public final Operator.ArtifactProperties setLoadAtStartup(boolean loadAtStartup)

      Set load at startup
      Parameters:
        `loadAtStartup` - true to load at start-up, false otherwise
      Returns:
        Updated properties

    - #### getProjectName

          public final String getProjectName()

      Get project name
      Returns:
        the project name, never null (but might be invalid)

    - #### getPath

          public final String getPath()

      Get artifact path
      Returns:
        the artifact path, never null (but might be invalid)

    - #### getVersion

          public final String getVersion()

      Get version
      Returns:
        the version, never null (but might be invalid)

    - #### isLoadAtStartup

          public final boolean isLoadAtStartup()

      Load artifact at start-up?

      Default value is true.

      Returns:
        whether requesting the artifact to be loaded at startup or not

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.